Page MenuHomePhabricator

Analytics query access for search platform NLP contractor @Julia.glen
Closed, ResolvedPublic

Description

As part of their work @Julia.glen needs access to the search logs that are stored in the analytics cluster. Specifically, the discovery.query_clicks_* and wmf_raw.cirrussearchrequestset tables in hive. Will need confirmation from legal about the contract end dates to set the revocation date appropriately.

requested group: analytics-privatedata-users

Event Timeline

EBernhardson triaged this task as Normal priority.Jan 24 2019, 6:52 PM
EBernhardson created this task.
EBernhardson created this object with edit policy "Custom Policy".
Restricted Application added a project: Operations. · View Herald TranscriptJan 24 2019, 6:52 PM
Nuria added a comment.Jan 24 2019, 7:19 PM

We also need to have an NDA on file that I am guessing will be signed after contract is, @TJones has the NDA signing taken place?

We also need to have an NDA on file that I am guessing will be signed after contract is, @TJones has the NDA signing taken place?

Hmmm. We may have glossed over that in the stand up. @Julia.glen said the contract was signed, but I don't know about a separate NDA. I don't have access to the legal documents, so I can't check, other than to ask legal, but I don't actually know who to ask.

Framawiki renamed this task from Analytics query access for search platform NLP contractor to Analytics query access for search platform NLP contractor @Julia.glen.Jan 24 2019, 9:32 PM
EBernhardson added a comment.EditedJan 24 2019, 9:37 PM

@Julia.glen

For full details see https://wikitech.wikimedia.org/wiki/Production_shell_access#New_users

Will need from you (maybe more, sre to follow):

  • Visit, read and sign L3
  • Desired login username. Often something like jglen, or juliaglen.
  • The public key of an ssh public/private key pair. This can be pasted to phabricator. This should be a new key pair used only for wmf access.

I support this request. @Julia.glen needs access to our search logs to design and build algorithms to improve the quality of our "did you mean" suggestions in search results. She needs to be able to mine the logs in large quantities to build out the various approaches (see T212884 for details on the various methods).

My developer account user name is
julia.glen
Ty

I can't check, other than to ask legal, but I don't actually know who to ask.

Try asking @RStallman-legalteam

The official contract end date in our system is 6/30/2019, if that helps.

Dzahn added a comment.Jan 25 2019, 9:35 PM

The official contract end date in our system is 6/30/2019, if that helps.

Yes, that helps a lot. It's needed to make the code change in Gerrit. Thanks!

@Gehel Since we are all finally back I want to make sure this is progressing, it's very important for julia's work

Dzahn added a comment.Feb 5 2019, 6:08 PM

@EBernhardson One reason that blocks progress is that no SSH public key has been pasted yet. The other is that due to Allhands nobody was / is on clinic duty. And access requests are usually handled by the on duty person.

Dzahn added a comment.Feb 5 2019, 6:09 PM

Also,, have the talks to legal about the NDA happened?

Nuria added a comment.Feb 5 2019, 6:45 PM

ping @Julia.glen to paste ssh public keys in ticket (maybe a paste in phab that is best)

Sorry for the all hands delay. If the applicable contract is with Glenbrook Networks, Inc, it looks like that one was signed by Julia but not by Victoria before she departed. So let me follow up on getting it fully signed. I'm pretty sure the MSA has the appropriate non-disclosure language within it and will be sufficient. I'll check with the contracts attorney and get back on both points.

Dzahn updated the task description. (Show Details)Feb 5 2019, 8:47 PM

Change 488120 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: create user with analytics-privatedata access for juliaglen

https://gerrit.wikimedia.org/r/488120

Dzahn added a comment.EditedFeb 5 2019, 8:57 PM

I talked on IRC with @EBernhardson and clarified the requested group is analytics-privatedata-users, updated ticket accordingly.

thanks for uploading a key @Julia.glen , i found you in LDAP and was able to upload the needed code change:

https://gerrit.wikimedia.org/r/c/operations/puppet/+/488120

This is pending review / approval now and i'll wait for Legal to confirm the NDA part.

Dzahn added a comment.Feb 6 2019, 5:53 PM

The official contract end date in our system is 6/30/2019, if that helps.

Nuria said on Gerrit " Contract expires on May 31, 2019."

We should double-check which one is right.

Nuria added a comment.Feb 6 2019, 6:02 PM

As of today:

  • contract needs to be signed by a c-level (@EBjune)
  • contract lists: "remain in full force and effect beginning on January 8, 2019 and

continuing until May 31, 2019."

Nuria added a comment.Feb 6 2019, 6:03 PM

Final contract might move those dates, if so I will let everyone know when i see it

Dzahn changed the task status from Open to Stalled.Feb 6 2019, 10:12 PM

Thanks @Nuria! setting status to stalled to reflect that we should wait.

Joe assigned this task to Dzahn.Feb 7 2019, 9:01 AM

Just confirming that the Master Services Agreement and Data Processing Agreement with Glenbrook are now fully signed. No separate NDA is needed, so you can proceed with access for julia.glen

Dzahn added a comment.Feb 8 2019, 4:49 PM

Just confirming that the Master Services Agreement and Data Processing Agreement with Glenbrook are now fully signed.

Thanks, will do. Did the date stay the same?

Final contract might move those dates, if so I will let everyone know when i see it

Dzahn changed the task status from Stalled to Open.Feb 8 2019, 4:50 PM
Gehel added a comment.Feb 8 2019, 4:53 PM

Thanks, will do. Did the date stay the same?

Final contract might move those dates, if so I will let everyone know when i see it

We can probably use May 31, 2019 at the moment and extend it if the contract is extended. Worst case, we'll check the status on May 31 and update as needed.

Change 488120 merged by Dzahn:
[operations/puppet@production] admins: create user with analytics-privatedata access for juliaglen

https://gerrit.wikimedia.org/r/488120

Nuria added a comment.Feb 8 2019, 5:54 PM

Contract was signed so we shoudl be good to go here. Dates are unchanged.

Nuria added a comment.Feb 8 2019, 5:55 PM

@Julia.glen to confirm she has access and ticket can be closed.

Dzahn closed this task as Resolved.Feb 8 2019, 5:59 PM

puppet is creating her user on all the relevant servers right now. in max. 30 min it should all work

Change 512404 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: remove expired contractor account of juliaglen (merge on May 31)

https://gerrit.wikimedia.org/r/512404

Change 512404 abandoned by Muehlenhoff:
admins: remove expired contractor account of juliaglen (merge on May 31)

Reason:
Merged 513954 instead

https://gerrit.wikimedia.org/r/512404